<?php
namespace App\Security;

use App\Entity\User as AppUser;
use GuzzleHttp\Psr7\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Security\Core\Exception\AccountExpiredException;
use Symfony\Component\Security\Core\Exception\CustomUserMessageAccountStatusException;
use Symfony\Component\Security\Core\User\UserCheckerInterface;
use Symfony\Component\Security\Core\User\UserInterface;

class UserChecker implements UserCheckerInterface
{
    public function checkPreAuth(UserInterface $user): void
    {
        if (!$user->getIsVerified()) {
             throw new CustomUserMessageAccountStatusException('Votre compte n\'a pas été confirmé.');
        }
    }
    public function checkPostAuth(UserInterface $user): void
    {
    }
}